List Environment Group

get

/rpa/v1/environmentGroups

Returns a list of all available environment groups in a service instance.

Request

Query Parameters
  • Returns associated environment details when true. When true and no environments, the environments field will be []. When false regardless of environment existence, the environments field will be null.
    Default Value: false
  • When true, returns shared environment groups from other projects in conjunction of all the environment groups for the project. When true and no shared environment group is available, environment group list will not have shared environment group. When false, the shared environment groups will not be queried and so will not be part of environment group list.
    Default Value: false
  • Minimum Length: 1
    Maximum Length: 50
    A filter to return only resources that match the entire display name given.
  • Returns utilization of environment group when true.
    Default Value: false
  • A filter that returns all resources that match the specified lifecycle state.
  • Minimum Value: 1
    Maximum Value: 100
    The maximum number of items to return.
    Default Value: 100
  • Minimum Length: 1
    A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response.
  • Project identifier
  • A filter to search resources by name, identifier, or description. The search query can be a simple string or a JSON object with operators and criteria. Example JSON format: { "operator": "AND", "criteria": [ {"name": "example"}, {"version": "1.0"} ] }
  • The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
    Default Value: TIME_CREATED
    Allowed Values: [ "TIME_CREATED", "DISPLAY_NAME" ]
  • The sort order to use, either 'ASC' or 'DESC'.
    Allowed Values: [ "ASC", "DESC" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

A page of Environment Group Summary objects.
Headers
  • For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : EnvironmentGroupCollection
Type: object
Results of a environmentGroup list operation. Contains EnvironmentGroupSummary items.
Show Source
Nested Schema : items
Type: array
List of EnvironmentGroupSummary objects
Show Source
Nested Schema : EnvironmentGroupSummary
Type: object
Summary of an environment group
Show Source
Nested Schema : associatedEnvironments
Type: array
Associated Environments. Only when areAssociatedEnvironmentsNeeded query parameter is true
Show Source
Nested Schema : EnvironmentGroupUtilizationSummary
Type: object
Summary of Environment Group Utilization
Show Source
Nested Schema : EnvironmentSummary
Type: object
Summary of an environment
Show Source
Nested Schema : instanceMetadataProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the instance Metadata System Properties
Example:
{
    "InstanceId":"ocid.instance",
    "InstancePoolId":"ocid.instancePool",
    "CompartmentId":"ocid.compartment",
    "Region":"us-ashburn-1"
}
Nested Schema : systemProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the Environment System Properties
Example:
{
    "HostName":"JANEDOE-MACBOOKPRO",
    "OperatingSystemVersion":"12.6.5",
    "OperatingSystemName":"Mac OS X",
    "OperatingSystemArchitecture":"x86_64",
    "IPAddress":"10.0.1.3",
    "MacAddress":"F8-4D-89-87-F6-9D"
}

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top